Module jdk.jdi
Package com.sun.jdi.event

## Interface EventIterator

All Superinterfaces:
  `Iterator<Event>`

    public interface EventIterator
    extends Iterator<Event>

EventIterators are unmodifiable.

Since:
  1.3
See Also:
  `Event`, `EventSet`, `Set.iterator()`

### Method Summary

All Methods Instance Methods Abstract Methods
`Event` `nextEvent()`

### Methods declared in interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### nextEvent

    Event nextEvent()

Returns:
  The next `Event` in an `EventSet`.